%global enable_tests 1

Name:           nodejs-zipfile
Version:        0.4.2
Release:        1%{?dist}
Summary:        C++ library for handling zipfiles in Node.js

License:        BSD
URL:            https://github.com/springmeyer/node-zipfile
Source0:        http://registry.npmjs.org/zipfile/-/zipfile-%{version}.tgz
ExclusiveArch:  %{nodejs_arches}

BuildRequires:  nodejs-devel
BuildRequires:  node-gyp
BuildRequires:  libzip-devel
BuildRequires:  zlib-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(mkdirp)
%endif

%{?nodejs_default_filter}

%description
Bindings to libzip for handling zipfile archives in Node.js.


%prep
%setup -q -n package
rm -rf deps/* node_modules
echo "{}" > deps/common-libzip.gypi
# Fix file names corrupted in NPM registry tar ball, see:
# https://github.com/springmeyer/node-zipfile/issues/29
mv test/data/Clément test/data/Clément
mv test/data/Clément/Olá.zip test/data/Clément/Olá.zip


%build
export CXXFLAGS="%{optflags}"
node-gyp configure -- -Dshared_libzip=true
node-gyp build


%install
mkdir -p %{buildroot}/%{nodejs_sitearch}/zipfile
cp -pr package.json lib %{buildroot}/%{nodejs_sitearch}/zipfile
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_PATH=lib %{nodejs_sitelib}/mocha/bin/mocha -R spec
%endif


%files
%doc LICENSE.txt README.md
%{nodejs_sitearch}/zipfile


%changelog
* Wed Oct 30 2013 Tom Hughes <tom@compton.nu> - 0.4.2-1
- Update to 0.4.2 upstream release

* Tue Oct  1 2013 Tom Hughes <tom@compton.nu> - 0.4.1-1
- Update to 0.4.1 upstream release

* Wed Aug 21 2013 Remi Collet <rcollet@redhat.com> - 0.4.0-2
- rebuild for new libzip

* Sun Aug 11 2013 Tom Hughes <tom@compton.nu> - 0.4.0-1
- Update to 0.4.0 upstream release
- Update to latest nodejs packaging standards

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr  3 2013 Tom Hughes <tom@compton.nu> - 0.3.4-4
- Filter out provide for Node.js native extension
- Enable tests

* Wed Mar 13 2013 Tom Hughes <tom@compton.nu> - 0.3.4-3
- Restrict supported architectures using ExclusiveArch
- Rebuild against node 0.10

* Sat Mar  2 2013 Tom Hughes <tom@compton.nu> - 0.3.4-2
- Fix permissions on _zipfile.node
- BuildRequire zlib-devel
- BuildRequire mkdirp for tests
- Link node_modules for tests
- Set NODE_PATH when running tests

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 0.3.4-1
- Initial build of 0.3.4
